package body MSHTML.IHTMLFrameSetElement2_Object is

   procedure Put_onbeforeprint
     (This : IHTMLFrameSetElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement2_Put_onbeforeprint,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onbeforeprint;

   function Get_onbeforeprint
     (This : IHTMLFrameSetElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement2_Get_onbeforeprint);
   end Get_onbeforeprint;

   procedure Put_onafterprint
     (This : IHTMLFrameSetElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameSetElement2_Put_onafterprint,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onafterprint;

   function Get_onafterprint
     (This : IHTMLFrameSetElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameSetElement2_Get_onafterprint);
   end Get_onafterprint;

end MSHTML.IHTMLFrameSetElement2_Object;

